fourmolu-0.18.0.0: A formatter for Haskell source code

Safe Haskell | None
Language | GHC2021

Ormolu.Printer.Meat.Declaration

Description

Rendering of declarations.

Synopsis

- p_hsDecls :: FamilyStyle -> [LHsDecl GhcPs] -> R ()
- p_hsDeclsRespectGrouping :: FamilyStyle -> [LHsDecl GhcPs] -> R ()

# Documentation

p_hsDecls :: FamilyStyle -> [LHsDecl GhcPs] -> R () Source #

p_hsDeclsRespectGrouping :: FamilyStyle -> [LHsDecl GhcPs] -> R () Source #

Like `p_hsDecls` but respects user choices regarding grouping. If the user omits newlines between declarations, we also omit them in most cases, except when said declarations have associated Haddocks.

Does some normalization (compress subsequent newlines into a single one)